Package org.eclipse.emf.cdo.server

## Class CDOServerBrowser.ContainerBased

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.concurrent.Worker
      - - org.eclipse.emf.cdo.server.CDOServerBrowser
        - - org.eclipse.emf.cdo.server.CDOServerBrowser.ContainerBased

- All Implemented Interfaces:
    `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`
  Enclosing class:
    CDOServerBrowser

      public static class CDOServerBrowser.ContainerBased
      extends CDOServerBrowser

  A `server browser` for the repositories in a `managed container`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOServerBrowser.ContainerBased.Factory` | Creates `server browsers` for the repositories in a `managed container`.

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser

      `CDOServerBrowser.AbstractPage, CDOServerBrowser.ContainerBased, CDOServerBrowser.HistoryPage, CDOServerBrowser.LobsPage, CDOServerBrowser.LocksPage, CDOServerBrowser.PackagesPage, CDOServerBrowser.Page, CDOServerBrowser.RevisionsPage`

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.concurrent.Worker

      `org.eclipse.net4j.util.concurrent.Worker.WorkContext`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.concurrent.Worker

      `DEFAULT_ERROR_HANDLER, DEFAULT_TIMEOUT`

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContainerBased()` |
    `ContainerBased​(org.eclipse.net4j.util.container.IContainer<?> container)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doActivate()` |
    `protected void` | `doDeactivate()` |
    `org.eclipse.net4j.util.container.IContainer<?>` | `getContainer()` |
    `protected org.eclipse.net4j.util.container.IManagedContainer` | `getPagesContainer()` |

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser

      `clearParams, escape, formatTimeStamp, getParam, getPort, getRepositories, getRepository, getRepositoryNames, getThreadName, href, initPages, initParams, isParam, printHeader, removeParam, setPort, showMenu, showPage, work`

    - ### Methods inherited from class org.eclipse.net4j.util.concurrent.Worker

      `getActivationTimeout, getDeactivationTimeout, getGlobalErrorHandler, getWorkerThread, handleError, isDaemon, setActivationTimeout, setDaemon, setDeactivationTimeout, setGlobalErrorHandler`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### ContainerBased

          public ContainerBased​(org.eclipse.net4j.util.container.IContainer<?> container)

    - #### ContainerBased

          public ContainerBased()

  - ### Method Detail

    - #### getContainer

          public org.eclipse.net4j.util.container.IContainer<?> getContainer()

    - #### getPagesContainer

          protected org.eclipse.net4j.util.container.IManagedContainer getPagesContainer()

      Overrides:
        `getPagesContainer` in class `CDOServerBrowser`

    - #### doActivate

          protected void doActivate()
                             throws java.lang.Exception

      Overrides:
        `doActivate` in class `CDOServerBrowser`
      Throws:
        `java.lang.Exception`

    - #### doDeactivate

          protected void doDeactivate()
                               throws java.lang.Exception

      Overrides:
        `doDeactivate` in class `CDOServerBrowser`
      Throws:
        `java.lang.Exception`